using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using PageAdmin.BLL;using PageAdmin.Filter;

namespace PageAdmin.Web.Areas.Admin.Controllers
{
    public class FinanceLstController : DefaultBaseController
    {
        FinanceOperationBLL financeLstBLL = new FinanceOperationBLL();
        public FinanceLstController():base("pa_finance_lst", "User/")
        {
           // base.IndexViewExecuting = new Action(Queryvalue);
        }
        [HttpGet]
        public ActionResult Operation()
        {
            return View();
        }

        [HttpPost]
        public JsonResult Operation(FormCollection form)
        {
            return Json(financeLstBLL.Add(form));
        }


        //财务记录
        public void Queryvalue()
        {
            string[] queryvalue = financeLstBLL.QueryValue();
            ViewBag.Rcouts = queryvalue[0];
            ViewBag.Kcouts = queryvalue[1];
            ViewBag.Kcost = queryvalue[2];
            ViewBag.Fcouts = queryvalue[3];
        }
    }
}